=== packaging/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build --destdir=deb_packages

override_dh_install:
	install -D -m 644 packaging/common/client.conf deb_packages/etc/xrootd/client.conf
	install -D -m 644 packaging/common/client-plugin.conf.example deb_packages/etc/xrootd/client.plugins.d/client-plugin.conf.example
	dh_install --sourcedir=deb_packages
